Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class RESwapCommunicator

[frames] | no frames]

# Class RESwapCommunicator

source code

                  object --+
                           |
    AbstractSwapCommunicator --+
                               |
                              RESwapCommunicator

Holds all the information which needs to be communicated between distinct RE swap substeps.

See AbstractSwapCommunicator for constructor signature.

Nested Classes
Inherited from `AbstractSwapCommunicator`: `__metaclass__`

Instance Methods
Inherited from `AbstractSwapCommunicator`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractSwapCommunicator`: `__abstractmethods__`

Properties
Inherited from `AbstractSwapCommunicator`: `acceptance_probability`, `accepted`, `param_info`, `sampler1`, `sampler2`, `traj12`, `traj21` Inherited from `object`: `__class__`